Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Proxy_RB_Tree_Iterator Class Template Reference

Iterator class for a ACE_ESF_RB_Tree. More...

`#include <ESF_Proxy_RB_Tree.h>`

Collaboration diagram for TAO_ESF_Proxy_RB_Tree_Iterator:

[legend]
List of all members.

## Public Types
typedef ACE_RB_Tree_Iterator< PROXY *, int, ACE_Less_Than< PROXY *>, ACE_Null_Mutex > | Implementation
## Public Methods
| TAO_ESF_Proxy_RB_Tree_Iterator (const Implementation &i)
int | operator== (const TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > &rhs) const
int | operator!= (const TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > &rhs) const
TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > & | operator++ (void)
TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > | operator++ (int)
PROXY * | operator * (void)
## Private Attributes
Implementation | impl_

## Detailed Description

### template<class PROXY>
class TAO_ESF_Proxy_RB_Tree_Iterator< PROXY >

Iterator class for a ACE_ESF_RB_Tree.

## Member Typedef Documentation

template<class PROXY>
typedef ACE_RB_Tree_Iterator<PROXY*,int,ACE_Less_Than<PROXY*>,ACE_Null_Mutex> TAO_ESF_Proxy_RB_Tree_Iterator::Implementation

## Constructor & Destructor Documentation

template<class PROXY>
ACE_INLINE TAO_ESF_Proxy_RB_Tree_Iterator< PROXY >::TAO_ESF_Proxy_RB_Tree_Iterator | ( | const Implementation & | i | ) |

## Member Function Documentation

template<class PROXY>
ACE_INLINE PROXY * TAO_ESF_Proxy_RB_Tree_Iterator< PROXY >::operator * | ( | void |  | ) |

template<class PROXY>
ACE_INLINE int TAO_ESF_Proxy_RB_Tree_Iterator< PROXY >::operator!= | ( | const TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > & | rhs | ) | const

template<class PROXY>
ACE_INLINE TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > TAO_ESF_Proxy_RB_Tree_Iterator< PROXY >::operator++ | ( | int |  | ) |

template<class PROXY>
ACE_INLINE TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > & TAO_ESF_Proxy_RB_Tree_Iterator< PROXY >::operator++ | ( | void |  | ) |

template<class PROXY>
ACE_INLINE int TAO_ESF_Proxy_RB_Tree_Iterator< PROXY >::operator== | ( | const TAO_ESF_Proxy_RB_Tree_Iterator< PROXY > & | rhs | ) | const

## Member Data Documentation

template<class PROXY>
Implementation TAO_ESF_Proxy_RB_Tree_Iterator::impl_`[private]`

The documentation for this class was generated from the following files:

- ESF_Proxy_RB_Tree.h
- ESF_Proxy_RB_Tree.i